import { Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { UsersComponent } from './users/users.component';
import { ProductsComponent } from './products/products.component';
import { UserComponent } from './users/user/user.component';
import { EditproductComponent } from './products/editproduct/editproduct.component';
import { ProductComponent } from './products/product/product.component';
import { AuthguardService } from './authguard.service';

export const routes: Routes = [


    //We are going to create our Routing Setup

    {path:'',component:HomeComponent} ,
            //http://localhost:4200 ==> It bootstraps Home Component
   
            //http://localhost:4200/customers ==> It bootstraps the Users Component

    //http://localhost:4200/customers/1/Ramu ==> Loads the Ramus Data
    //http://localhost:4200/customers/2/Sita ==> Loads the Sitas Data
   // {path:'customers',component:UsersComponent}, 
    //{path:'customers/:id/:name',component:UserComponent},

    {path:'customers',canActivate:[AuthguardService],component:UsersComponent,
        children:[
                {path:':id/:name',component:UserComponent}
        ]
    },
   

       
    
    //{path:'products',component:ProductsComponent},
    //{path:'products/:id',component:ProductComponent},
    //{path:'products/:id/edit',component:EditproductComponent},


    {path:'products',canActivate:[AuthguardService],component:ProductsComponent,
        children:[
    {path:':id',component:ProductComponent},
    {path:':id/edit',component:EditproductComponent}
        ]}

        //http://localhost:4200/products/3/edit ==> It bootstraps the Products Component
];
