import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, CanActivate, GuardResult, MaybeAsync, Router, RouterStateSnapshot } from '@angular/router';
import { AuthService } from './auth.service';

@Injectable({
  providedIn: 'root'
})
export class AuthguardService implements CanActivate {

  constructor(private authService:AuthService,private route:Router) { }
  canActivate(
    route: ActivatedRouteSnapshot, 
    state: RouterStateSnapshot):
     MaybeAsync<GuardResult> {

      return this.authService.isAuthenticated().then(

          (authenticated:any)=>{
            if(authenticated){
              console.log('Guard Receives True Value ==> Hence Routing Module will bootstrap');
              return true;
            }
            else
            {
              console.log('Guard Receives False Value ==> Hence Routing Module will Reject ');
              this.route.navigate(['/']);
              return false;
            }
          }

      )

      //Here we will write our business logic related to authentication and authorization
    throw new Error('Method not implemented.');
  }
  
}
