import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { Router, RouterModule } from '@angular/router';
import { AuthService } from '../auth.service';

@Component({
  selector: 'app-home',
  standalone: true,
  imports: [RouterModule,CommonModule],
  templateUrl: './home.component.html',
  styleUrl: './home.component.css'
})
export class HomeComponent {

  constructor(private route:Router,private authService:AuthService){}



  loadProducts(){
    this.route.navigate(['/products']);
  }
  loadCustomers(){
    this.route.navigate(['/customers'])
  }

  login(){
    this.authService.login();
  }

  logout(){
    this.authService.logout();
  }
}
