import { Component } from '@angular/core';
import { ProductService } from '../../product.service';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { ActivatedRoute, Params, Router } from '@angular/router';

@Component({
  selector: 'app-product',
  standalone: true,
  imports: [FormsModule,CommonModule],
  templateUrl: './product.component.html',
  styleUrl: './product.component.css'
})
export class ProductComponent {


  product:any={};

  constructor(private prdService: ProductService,
    private route:Router,
  private actRoute:ActivatedRoute) { }

  ngOnInit() {
    //http://localhost:4200/products/1?....
    const prodId=+this.actRoute.snapshot.params['id']; ///either 1 or o2 or 3
        this.product = this.prdService.getProduct(prodId);

    this.actRoute.params.subscribe(
      (params:Params)=>{
        this.product=this.prdService.getProduct(+params['id']);
      }

    )
  }


  onEdit(){

    //http://localhost:4200/products/1/allowEdit=1  ==> View Product
    //http://localhost:4200/products/1/edit?allowEdit=1 ==> Edit Product

   // this.route.navigate(['/products',this.product.id,'edit']);

   this.route.navigate(['edit'],{relativeTo:this.actRoute,queryParamsHandling:"preserve"})
    
  }
}
